;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   rch.h
; Purpose   :   RChrono mode application header
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; STATE REDEFINITIONS
;
;==============================================================================

RCHBANNERSTATE              equ     COREBANNERSTATE
RCHDEFAULTSTATE             equ     COREDEFAULTSTATE
RCHSETBANNERSTATE           equ     CORESETBANNERSTATE
RCHYOUROCKSETSTATE          equ     CORESETBANNERSTATE
RCHSETSTATE                 equ     CORESETSTATE
RCHPOPUPSTATE               equ     COREPOPUPSTATE
RCHPASSWORDDEFAULTSTATE     equ     COREPASSWORDDEFAULTSTATE
RCHPASSWORDSETBANNERSTATE   equ     COREPASSWORDSETBANNERSTATE
RCHPASSWORDSETSTATE         equ     COREPASSWORDSETSTATE

; TODO: Add your own state redefinition here
RCHTARGETSTATE				equ		COREPOPUPSTATE 
RCHDBSTATE     				equ     COREMISCSTATE0
RCHDTOPSTATE   				equ     COREMISCSTATE1
RCHRESUMESTATE              equ     COREMISCSTATE2
RCHSETSTATE2                equ     COREMISCSTATE3
RCHCALCSTATE                equ     COREMISCSTATE4


;==============================================================================
;
; EVENT REDEFINITIONS
;
;==============================================================================

RCH_STATEENTRY              equ     COREEVENT_STATEENTRY
RCH_CROWNHOME               equ     COREEVENT_CROWN_HOME
RCH_CROWNSET                equ     COREEVENT_CROWN_SET1
RCH_CWPULSES                equ     COREEVENT_CW_PULSES
RCH_CCWPULSES               equ     COREEVENT_CCW_PULSES
RCH_MODEDEPRESS             equ     COREEVENT_SWITCH1DEPRESS
RCH_STOPRESETDEPRESS        equ     COREEVENT_SWITCH2DEPRESS
RCH_STARTSPLITDEPRESS       equ     COREEVENT_SWITCH3DEPRESS
RCH_DISPLAY_UPDATE_STPRES   equ     COREEVENT_DISPLAY_UPDATE_STPRES
RCH_TIMEOUTDONEHIGHRES      equ     COREEVENT_TIMEOUTDONE_HIGHRES
RCH_STOPRESETRELEASE        equ     COREEVENT_SWITCH2RELEASE
RCH_ICON_REFRESH            equ     COREEVENT_ICON_REFRESH
RCH_DISPLAY_UPDATE_TODRES   equ     COREEVENT_DISPLAY_UPDATE_TODRES

;==============================================================================
;
; HIGH RESOLUTION TIMEOUT DEFINITIONS (Based on 8Hz)
;
;==============================================================================
                                                              
RCHHIRESTO_1P5SECONDS       equ     TIMEOUTHIRES_1P5SEC       
RCHHIRESTO_2SECONDS         equ     TIMEOUTHIRES_2SEC    
RCHHIRESTO_3SECONDS         equ     TIMEOUTHIRES_3SEC  
RCHHIRESTO_4SECONDS         equ     TIMEOUTHIRES_4SEC  
RCHHIRESTO_5SECONDS         equ     TIMEOUTHIRES_5SEC
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;