@ECHO OFF

REM ********************************************************************
REM *
REM * M851 WRISTAPP BUILDER
REM * Timex Corporation 2002 All Rights Reserved
REM * July 2002
REM *
REM * WristApp: Running Chronometer
REM *
REM ********************************************************************

rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
rem ; Clean up wristapp build directory
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

cd C:\M851\App\RChrono\build

del *.sre
del *.bin
del *.lst
del *.obj
del *.out
del *.err
del *.lnl
del *.cal
del *.bak
del *.ers
del *.elk
del *.elc

rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
rem ; Build Common Section
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

C:\c88\bin\as88.exe common.asm -fascmd.cmd
C:\c88\bin\lk88.exe common.obj -o common.out -flkcmd.cmd
C:\c88\bin\lc88.exe common.out -o common.sre -flccmd.cmd
c:\m851\bin\symgen common.map
c:\m851\bin\makeequ common.sy
copy common.equ comminc.h

rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
rem ; Build State Handler Section
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

rem Build state0 Handler
C:\c88\bin\as88.exe state0.asm -fascmd.cmd
C:\c88\bin\lk88.exe state0.obj -o state0.out -flkcmd.cmd
C:\c88\bin\lc88.exe state0.out -o state0.sre -flccmd.cmd


rem Build state1 Handler
C:\c88\bin\as88.exe state1.asm -fascmd.cmd
C:\c88\bin\lk88.exe state1.obj -o state1.out -flkcmd.cmd
C:\c88\bin\lc88.exe state1.out -o state1.sre -flccmd.cmd


rem Build state2 Handler
C:\c88\bin\as88.exe state2.asm -fascmd.cmd
C:\c88\bin\lk88.exe state2.obj -o state2.out -flkcmd.cmd
C:\c88\bin\lc88.exe state2.out -o state2.sre -flccmd.cmd


rem Build state3 Handler
C:\c88\bin\as88.exe state3.asm -fascmd.cmd
C:\c88\bin\lk88.exe state3.obj -o state3.out -flkcmd.cmd
C:\c88\bin\lc88.exe state3.out -o state3.sre -flccmd.cmd


rem Build state4 Handler
C:\c88\bin\as88.exe state4.asm -fascmd.cmd
C:\c88\bin\lk88.exe state4.obj -o state4.out -flkcmd.cmd
C:\c88\bin\lc88.exe state4.out -o state4.sre -flccmd.cmd


rem Build state5 Handler
C:\c88\bin\as88.exe state5.asm -fascmd.cmd
C:\c88\bin\lk88.exe state5.obj -o state5.out -flkcmd.cmd
C:\c88\bin\lc88.exe state5.out -o state5.sre -flccmd.cmd


rem Build state6 Handler
C:\c88\bin\as88.exe state6.asm -fascmd.cmd
C:\c88\bin\lk88.exe state6.obj -o state6.out -flkcmd.cmd
C:\c88\bin\lc88.exe state6.out -o state6.sre -flccmd.cmd


rem Build state7 Handler
C:\c88\bin\as88.exe state7.asm -fascmd.cmd
C:\c88\bin\lk88.exe state7.obj -o state7.out -flkcmd.cmd
C:\c88\bin\lc88.exe state7.out -o state7.sre -flccmd.cmd


rem Build state8 Handler
C:\c88\bin\as88.exe state8.asm -fascmd.cmd
C:\c88\bin\lk88.exe state8.obj -o state8.out -flkcmd.cmd
C:\c88\bin\lc88.exe state8.out -o state8.sre -flccmd.cmd


rem Build state9 Handler
C:\c88\bin\as88.exe state9.asm -fascmd.cmd
C:\c88\bin\lk88.exe state9.obj -o state9.out -flkcmd.cmd
C:\c88\bin\lc88.exe state9.out -o state9.sre -flccmd.cmd


rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
rem ; Build Parameter File
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

C:\c88\bin\as88.exe param.asm -fascmd.cmd
C:\c88\bin\lk88.exe param.obj -o param.out -flkcmd.cmd
C:\c88\bin\lc88.exe param.out -o param.sre -flccmd.cmd


rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
rem ; Delete temporary files
rem ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

del *.out
del *.sy
del *.tmp
del *.lnl
del *.cal

copy rchrono_dbase_018.bin.sav rchrono_dbase_018.bin
