library RChrono;

{
-- Running Chronometer library --
   Library file
   Copyright Pierre DELORE
   Version 1.0 - 23/05/2004

Feel free to use or modify this file
For any question, improvement...
send me an email at dpliste@free.fr
}


uses
  SysUtils,
  Classes,
  Dialogs,
  Forms,
  Main in 'Main.pas' {FrmMain},
  Tools in 'Tools.pas',
  Database in 'Database.pas',
  Status in 'Status.pas' {FrmStatus};

{$R *.res}

{-- Called when double click on 'Running chronometer'--}
function Show(lpszDataPath:PChar;pData:Pointer):Boolean;
Begin
  BaseDir:=lpszDataPath;
  FrmMain:=TFrmMain.create(application);
  FrmMain.ShowModal;
  FrmMain.Free;
  Show:=True;
End;


{-- Called when you press "Refresh" and when you connect the watch --}
function ProcessData(lpszDataPath:PChar; pData:Pointer):Boolean;
Var
  BaseDir,sRet:String;
  i : Integer;
Begin
  BaseDir:=lpszDataPath;
  //WriteDB(BaseDir);
  {- Search, Read and display the database -}
  sRet:=SearchDB(BaseDir,'RCH',18);
  If sRet<>'' then
  Begin
    If ReadDB(sRet) then
    Begin
      //FrmStatus:=TFrmStatus.create(application);
      //FrmStatus.ShowModal;
      //WriteDBex(BaseDir);
      WriteCSV(BaseDir);
      MessageDlg('Database downloaded from the watch', mtInformation, [mbOK], 0);
      //i:=FrmStatus.Value;
      //Repeat
      //Until FrmStatus.Value>i+2;
      //FrmStatus.Free;
    End;
  End;
  ProcessData:=True;
End;

exports
 Show,
 ProcessData;
begin
end.
