;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   rchvars.h
; Purpose   :   RChrono Application Variable Offsets
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; RChrono APPLICATION SYSTEM DATA
;
;==============================================================================

RCHSYSTEMDATASTARTOFFSET        equ        0

RCHSTOPWATCHRESOURCE0OFFSET     equ        0

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Do not change this variable but change the value if necessary.
; The equate value of this, is the last number from the above variables plus 1
; When you add variables above, be sure to change the value of this too.

RCHTARGETOFFSET                 equ         1
RCHTARGET10                     equ         2
RCHSPLIT_HU                     equ         3
RCHSPLIT_S                      equ         4
RCHSPLIT_M                      equ         5
RCHSPLIT_H                      equ         6
RCHDISTOFFSET                   equ         7
RCHNBREC                        equ         8
RCHDISPLAYTOP                   equ         9
RCHTARGET_HU                    equ         10
RCHTARGET_S                     equ         11
RCHTARGET_M                     equ         12
RCHTARGET_H                     equ         13
RCHLAP_HU                       equ         14
RCHLAP_S                        equ         15
RCHLAP_M                        equ         16
RCHLAP_H                        equ         17
RCHSTATUS                       equ         18
    bRCHRefreshTop              equ         00000001B           ; 0 - None / 1 - Refresh top display
    bRCHClearTop                equ         00000010B           ; 0 - None / 1 - Clear and refresh top display
    bRCHDrink                   equ         00000100B           ; 0 - None / 1 - Drink timer active
    bRCHEat                     equ         00001000B           ; 0 - None / 1 - Eat timer active
    bRCHDrinkMsg                equ         00010000B           ; 0 - None / 1 - Drink msg active
    bRCHEatMsg                  equ         00100000B           ; 0 - None / 1 - Eat msg active
    bRCHNoDbMsg                 equ         01000000B           ; 0 - None / 1 - No DB msg active
    bRCHAutoDist                equ         10000000B           ; 0 - None / 1 - Auto distance active
RCHSTATUS2                      equ         19
;    bRCHRefreshTop              equ         00000001B           ; 0 - None / 1 - Refresh top display
RCHDRINKV                       equ         20
RCHEATV                         equ         21
RCHAUTODISTV                    equ         22
RCHPREFDISP                     equ         23

RCHSYSTEMDATASIZE               equ         24
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; RChrono COMMON VARIABLE REDEFINITIONS
;
;==============================================================================

; TODO: Put hee your variables to be use on foreground operation
RCHTmpDbWrite					equ			(COREForegroundCommonBuffer + 0)
RCHTmpDebug                     equ         (COREForegroundCommonBuffer + 1)
RCHTmp_HU                       equ         (COREForegroundCommonBuffer + 2)
RCHTmp_S                        equ         (COREForegroundCommonBuffer + 3)
RCHTmp_M                        equ         (COREForegroundCommonBuffer + 4)
RCHTmp_H                        equ         (COREForegroundCommonBuffer + 5)
RCHTmpAlarm                     equ         (COREForegroundCommonBuffer + 6)
RCHTmpStatus                    equ         (COREForegroundCommonBuffer + 7)
RCHTmpStatusL                   equ         (COREForegroundCommonBuffer + 8)
RCHTmpSetIndex                  equ         (COREForegroundCommonBuffer + 9)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;



